<!DOCTYPE html>
<html>
<head>
	<title>Exos crypto</title>
</head>
<body>
	<script type="text/javascript">
		function decaler(lettre, decalage) {

			var charCode = lettre.charCodeAt(0);

			decalage = decalage % 26;

			if (estUneMaj(charCode)) { 
				charCode += decalage;
				if (!estUneMaj(charCode)) { 
					charCode -= 26; 
				}
			} else if (estUneMin(charCode)) { 
				charCode += decalage;
				if (!estUneMin(charCode)) { 
					charCode -= 26; 
				}
			} 

			return String.fromCharCode(charCode); 
		}

		function estUneMin(codeCoucouYassine) {
			return codeCoucouYassine > 96 && codeCoucouYassine < 123; // les min

		}

		function estUneMaj(codeCoucouYassine) {
			return codeCoucouYassine > 64 && codeCoucouYassine < 91; // les maj

		}

		function encodeCesar(message, cle) {

			var messageEncode = "";
			for (var i = 0; i < message.length; i++) {
				messageEncode = messageEncode + decaler(message.charAt(i), cle);
			}

			return messageEncode;
		}

		function decodeCesar(messageEncode, cle) {

			var message = "";
			for (var i = 0; i < messageEncode.length; i++) {
				message = message + decaler(messageEncode.charAt(i), 26 - cle);
			}

			return message;
		}

		function encodeVigenere(message, cle) {
			cle = cle.toLowerCase();

			var messageEncode = "", decalage;
			for (var i = 0; i < message.length; i++) {
				decalage = cle.charCodeAt(i % cle.length) - 97;
				messageEncode = messageEncode + decaler(message.charAt(i), decalage);
			}

			return messageEncode;
		}

		function decodeVigenere(messageEncode, cle) {
			cle = cle.toLowerCase();

			var message = "", decalage;
			for (var i = 0; i < messageEncode.length; i++) {
				decalage = cle.charCodeAt(i % cle.length) - 97;
				message = message + decaler(messageEncode.charAt(i), 26 - decalage);
			}

			return message;
		}
	</script>
</body>
</html>